Package ru.bitel.bgbilling.plugins.dispatch.server.bean

# Class MessageProcessor

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.plugins.dispatch.server.bean.MessageProcessor

public class MessageProcessor extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
Обработчик шаблонов сообщений

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected static final Pattern`
  `macroPattern`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageProcessor(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final ru.bitel.bgbilling.plugins.dispatch.server.bean.MessageProcessor.ProcessResult`
  `processMacro(String messageBody, Subscription sub)`
  `final void`
  `send(Dispatch dispatch, List<Subscription> subs, DispatchMessage message, DispatchService dispatchService)`
  Отправляем сообщение (приходят сюда по очереди, если несколько) рассылки для всех подписчиков.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### macroPattern

    protected static final Pattern macroPattern

  - ### con

    protected Connection con

- ## Constructor Details

  - ### MessageProcessor

    public MessageProcessor(Connection con)

- ## Method Details

  - ### processMacro

    protected final ru.bitel.bgbilling.plugins.dispatch.server.bean.MessageProcessor.ProcessResult processMacro(String messageBody, Subscription sub) throws Exception
    Throws:
      `Exception`

  - ### send

    public final void send(Dispatch dispatch, List<Subscription> subs, DispatchMessage message, DispatchService dispatchService) throws Exception
    Отправляем сообщение (приходят сюда по очереди, если несколько) рассылки для всех подписчиков.
    Parameters:
      `dispatch` - рассылка
      `subs` - список подписок
      `message` - сообщение
      `dispatchService` -
    Throws:
      `Exception`